
  <!DOCTYPE html>
  <html>
    <head>
      <title>Input.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/pages/additional-confirugation/components/Input.tsx</td><td class="">100.00%</td><td class="">80%</td><td class="">86</td><td class="">86</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React from &#x27;react&#x27;;
import { FormFieldFloatTextValue } from &#x27;../../project-settings/components/FormFieldFloatTextValue&#x27;;
import s from &#x27;./Input.module.scss&#x27;;

export interface InputProps {
  id: string;
  name: string;
  role: string;
  type: string;
}

export const Input: React.FC&lt;InputProps&gt; = ({ id, name, role, type }) =&gt; {
  return (
    &lt;div className={s.Input}&gt;
      &lt;div className={s.Input__name}&gt;{name}&lt;/div&gt;
      &lt;div className={s.Input__param}&gt;
        &lt;span className={s.Input__paramName}&gt;ROLE&lt;/span&gt;
        {role}
      &lt;/div&gt;
      &lt;div className={s.Input__param}&gt;
        &lt;span className={s.Input__paramName}&gt;TYPE&lt;/span&gt;
        {type}
      &lt;/div&gt;
      {type === &#x27;Quadratic&#x27; &amp;&amp; (
        &lt;&gt;
          &lt;FormFieldFloatTextValue
            className={s.Input__target}
            fieldName={`${id}___input___target`}
          /&gt;
          &lt;div className={s.Input__fieldName}&gt;Target&lt;/div&gt;
        &lt;/&gt;
      )}
      &lt;div className={s.Input__bounds}&gt;
        &lt;div&gt;
          &lt;FormFieldFloatTextValue fieldName={`${id}___input___low`} /&gt;
          &lt;div className={s.Input__fieldName}&gt;Low&lt;/div&gt;
        &lt;/div&gt;
        &lt;div&gt;
          &lt;FormFieldFloatTextValue fieldName={`${id}___input___high`} /&gt;
          &lt;div className={s.Input__fieldName}&gt;High&lt;/div&gt;
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  